server:
  port: 8877

spring:
  redis:
    host: 172.16.3.111
    port: 6379
    password: redis!@#
    #        password:
    database: 0
    ssl: false
  rabbitmq:
    virtual-host: pt_mq
    #        host: 139.155.49.237
    host: 172.16.3.111
    port: 5672
    username: pt
    password: uXP578kav8SDcjCgy
    publisher-confirm-type: correlated
    publisher-returns: true
    listener:
      simple:
        acknowledge-mode: manual
        retry:
          enabled: true
    template:
      routing-key: rtu_message_test
      exchange: amq.topic
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://172.16.3.38:3306/swj?allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=Hongkong&rewriteBatchedStatements=true
    username: u_swj
    password: c5Uh5WQRtacH
  cloud:
    nacos:
      discovery:
        password: nacos
        username: nacos
        server-addr: 172.16.3.109
        namespace: public
logging:
  level:
    root: info
    org:
      springnewfiber:
        dataadapter: info

ziguang:
  #渍水点
  zs:
    listurl: http://58.49.51.33:8081/iwp/dynamic/zs/map_waterlglive/list
    realurl: http://58.49.51.33:8081/iwp/dynamic/zs/zs_daylist/list
  #雨量站
  yl:
    listurl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_live/list
    realurl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_daylistmi/list
    #暂时未使用
    oneHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_daylisthour/list
    threeHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_3hour/list
    sixHourUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_6hour/list
    dayUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_24hour/list
    countUrl: http://58.49.51.33:8081/iwp/dynamic/yl/yl_his/list
  #泵站工情
  bz:
    listurl: http://58.49.51.33:8081/iwp/dynamic/bz/map_pumplive/list
    realurl: http://58.49.51.33:8081/iwp/dynamic/bz/map_pumpdaylist/list
  #湖泊
  hp:
    listurl: http://58.49.51.33:8081/iwp/dynamic/hp/map_lakelive/list
    realurl: http://58.49.51.33:8081/iwp/dynamic/hp/hp_daylist/list
  #港渠
  gq:
    listurl: http://58.49.51.33:8081/iwp/dynamic/gq/map_canallive/list
    realurl: http://58.49.51.33:8081/iwp/dynamic/gq/gq_daylist/list
  #河道
  hd:
    listurl: http://58.49.51.33:8081/iwp/dynamic/hd/map_riverlive/list
    #        realurl: http://58.49.51.33:8081/iwp/dynamic/hd/rvnm_order/list
    realurl:  http://58.49.51.33:8081/iwp/dynamic/hd/wh_daylive/list
  login:
#    username: data-service1
#    password: data-service11
    username: data-service2
    password: data-service212345678
    loginurl: http://58.49.51.33:8081/jkfc/user/login
#rabbitmq:
#    exchange: amq.topic
#    routingKey: rtu_message_test